FORMS += addmacro.ui \
addrxwindow.ui \
deletemacro.ui \
editmacro.ui \
generalsettings.ui \
modemenu.ui \
qsodata.ui \
renamemacro.ui

CONFIG += build_all \
 staticlib \
 debug

DESTDIR = ../bin
INSTALLS -= target

SOURCES += generalsettings.cpp \
 addmacro.cpp \
 addrxwindow.cpp \
 deletemacro.cpp \
 modemenu.cpp \
 qsodata.cpp \
 renamemacro.cpp \
 editmacro.cpp

HEADERS += generalsettings.h \
 addmacro.h \
 addrxwindow.h \
 deletemacro.h \
 modemenu.h \
 qsodata.h \
 renamemacro.h \
 editmacro.h


TEMPLATE = lib

QMAKE_CXXFLAGS_DEBUG += -g3 \
-O0
QMAKE_CXXFLAGS_RELEASE += -O2


CONFIG -= debug


QT += network

INCLUDEPATH += ../src

  unix {
    #VARIABLES
    isEmpty(PREFIX) {
        PREFIX = /usr/local
  }
BINDIR = $$PREFIX/bin
DATADIR =$$PREFIX/share

DEFINES += DATADIR=\\\"$$DATADIR\\\" PKGDATADIR=\\\"$$PKGDATADIR\\\"

INSTALLS += desktop iconxpm icon26 icon48 icon64

  target.path =$$BINDIR

  desktop.path = $$DATADIR/applications/hildon
  desktop.files += $${TARGET}.desktop

  iconxpm.path = $$DATADIR/pixmap
  iconxpm.files += ../data/maemo/$${TARGET}.xpm

  icon26.path = $$DATADIR/icons/hicolor/26x26/apps
  icon26.files += ../data/26x26/$${TARGET}.png

  icon48.path = $$DATADIR/icons/hicolor/48x48/apps
  icon48.files += ../data/48x48/$${TARGET}.png

  icon64.path = $$DATADIR/icons/hicolor/64x64/apps
  icon64.files += ../data/64x64/$${TARGET}.png

}
